Bug 201077

Summary: [patch] Allow shebangfix to inherit PYTHON_CMD
Product: Ports & Packages Reporter: Brad Davis <brd>
Component: Ports FrameworkAssignee: Antoine Brodin <antoine>
Status: Closed FIXED    
Severity: Affects Only Me CC: koobs, portmgr, ports-bugs, python
Priority: --- Keywords: needs-qa, patch
Version: Latest   
Hardware: Any   
OS: Any   
URL: https://reviews.freebsd.org/D2955
Attachments:
Description Flags
patch none

Description Brad Davis freebsd_committer 2015-06-23 15:03:49 UTC
Created attachment 158017 [details]
patch

With:

USES= python shebangfix

(order is important :( ..)

USES=python will set PYTHON_CMD for us so shebangfix can fix up the path properly.
Comment 1 Antoine Brodin freebsd_committer 2015-07-02 20:38:42 UTC
I'm adding an url to a review with a different patch
Comment 2 Antoine Brodin freebsd_committer 2015-07-29 05:55:18 UTC
I have updated the patch in review D2955
Comment 3 commit-hook freebsd_committer 2015-07-29 22:11:18 UTC
A commit references this bug:

Author: antoine
Date: Wed Jul 29 22:10:19 UTC 2015
New revision: 393196
URL: https://svnweb.freebsd.org/changeset/ports/393196

Log:
  Switch default python_CMD used by shebangfix to ${PYTHON_CMD} for ports
  using python

  PR:		201077
  Reviewed by:	mat
  With hat:	portmgr
  Differential Revision:	https://reviews.freebsd.org/D2955

Changes:
  head/Mk/Uses/shebangfix.mk
  head/accessibility/caribou/Makefile
  head/astro/py-metar/Makefile
  head/astro/weather/Makefile
  head/audio/boodler/Makefile
  head/audio/lollypop/Makefile
  head/audio/mma/Makefile
  head/audio/py-tagpy/Makefile
  head/chinese/sunpinyin/Makefile
  head/databases/nagios-check_mongodb/Makefile
  head/databases/postgresql-libpqxx/Makefile
  head/databases/postgresql-libpqxx3/Makefile
  head/deskutils/semantik/Makefile
  head/deskutils/tel/Makefile
  head/devel/cvs2svn/Makefile
  head/devel/py-InlineEgg/Makefile
  head/devel/py-gflags/Makefile
  head/devel/py-ice/Makefile
  head/devel/py-ioflo/Makefile
  head/devel/py-pip/Makefile
  head/devel/py-pymtbl/Makefile
  head/devel/renpy/Makefile
  head/emulators/dynagen/Makefile
  head/finance/mybudget/Makefile
  head/games/lostfeathers/Makefile
  head/games/oneisenough/Makefile
  head/games/schwarzweiss/Makefile
  head/games/starfighter/Makefile
  head/games/super_mario_bros_python/Makefile
  head/graphics/blender/Makefile
  head/graphics/imgv/Makefile
  head/graphics/py-gdal/Makefile
  head/graphics/variety/Makefile
  head/lang/cjs/Makefile
  head/lang/python-tools/Makefile
  head/lang/v8/Makefile
  head/mail/tumgreyspf/Makefile
  head/misc/gimp-help-en/Makefile
  head/misc/pastebinit/Makefile
  head/multimedia/pymp/Makefile
  head/net/cloud-init/Makefile
  head/net/gupnp/Makefile
  head/net/polyorb/Makefile
  head/net/py-pynmsg/Makefile
  head/net/py-pysphere/Makefile
  head/net/rabbitmq/Makefile
  head/net/samba4/Makefile
  head/net/samba41/Makefile
  head/net/samba42/Makefile
  head/net/xorp/Makefile
  head/news/xpn/Makefile
  head/security/py-python-registry/Makefile
  head/sysutils/abck/Makefile
  head/sysutils/py-pytsk/Makefile
  head/textproc/asciidoc/Makefile
  head/textproc/py2html/Makefile
  head/www/calendarserver/Makefile
  head/www/cherokee/Makefile
  head/www/libhpack/Makefile
  head/www/py-djblets/Makefile
  head/www/varnish4/Makefile
  head/x11-wm/ede/Makefile
Comment 4 Antoine Brodin freebsd_committer 2015-07-29 22:12:57 UTC
A patch working with both USES=python shebangfix and USES=shebangfix python has been committed.
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2015-07-30 02:50:51 UTC
Assign to committer that resolved